import java.io.*;
import java.text.*;
import java.util.*;

import static util.Util.*;

public class Parse1 {

  public static void main(String[] args) {

    // Format walutowy w domylnej lokalizacji
    // czyli w PL np. 12 z
    NumberFormat format = NumberFormat.getCurrencyInstance();

    // Lista wartoci wydatkw (zapisanych w tekcie pliku)
    List<Number> numList = new ArrayList<Number>();
    
    // Tre i wynik
    StringBuilder sb = new StringBuilder();
    
    String nrTestu = ask("Numer testu");

    try {
      BufferedReader br = new BufferedReader(
                            new FileReader("testdata"+nrTestu+".txt")
                          );

      // czytanie kolejnych wierszu
      sb.append("Plik: \n\n");
      String in;
      while ((in = br.readLine()) != null) {
        sb.append(in).append('\n');
        int p = 0;                    // biecy indeks rozbioru
        int last  = in.length() - 1;  // ostatni indeks w wierszu

        // Utworzenie pozycji rozbioru wiersza (od 0)
        ParsePosition ppos = new ParsePosition(0);

        // Dopki nie dobieglimy do koca wiersza
        while (p <= last) {
           // Prbujemy pobra kolejn liczb w formacie walutowym
           Number num = format.parse(in, ppos);

           if (num == null)              // jeeli bd,
             p = ppos.getErrorIndex()+1; // indeks na znaku po bdzie
           else {                        // jeeli udao si czyta warto
             numList.add(num);           // dodajemy j do listy
             p =  ppos.getIndex();   // indeks na nastpnym znaku po
           }
           ppos.setIndex(p);         // ustawiamy nastpn pozycj
        }                            // od ktrej kontynuacja rozbioru
      }
      br.close();
    } catch(Exception exc) {
        exc.printStackTrace();
        System.exit(1);
    }

    // Wypisanie i podsumowanie zapisanych w pliku wydatkw
    sb.append("\n\nWydatki w z:").append('\n');
    double suma = 0;
    
    for (Number val : numList) {
      suma += val.doubleValue();
      sb.append(val).append('\n');
    }
    sb.append("Wydano w sumie: " + format.format(suma));
    
    show(sb);
  }
}